/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
package it.laitspa.cpf.model.sogei.unitamisura;

/**
 * Created by scipriani on 28/11/16.
 */
import it.laitspa.cpf.model.Entity;


/*
@javax.persistence.Entity
@Table(name = "TAB_SAN_CPF_FATT_UNIT_MISURA")
*/
public class UnitaMisura extends Entity {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    public static final Integer GIORNI = new Integer(1);

    public static final Integer ACCESSI = new Integer(2);

    public static final Integer PEZZI = new Integer(3);

    public static final Integer CONFEZIONI = new Integer(4);

    public static final Integer MILLIGRAMMI = new Integer(5);

    public static final Integer GRAMMI = new Integer(6);

    public static final Integer CHILOGRAMMI = new Integer(7);

    public static final Integer CENTILITRI = new Integer(8);

    public static final Integer DECILITRI = new Integer(9);

    public static final Integer LITRI = new Integer(10);

    public static final Integer CENTIMETRI_CUBICI = new Integer(11);

    public static final Integer ORE = new Integer(12);

    public static final Integer CHILOMETRI = new Integer(13);

    public static final Integer METRI_CUBI = new Integer(14);


    public static final Integer CASI = new Integer(17);

    public static final Integer GIORNATE = new Integer(18);

    public static final Integer PRESTAZIONI = new Integer(19);

    public static final Integer TRATTAMENTI = new Integer(20);

    public static final Integer QUANTITA = new Integer(21);

    public static final Integer NESSUNA = new Integer(999);

    //public UnitaMisura(Integer codice, String label, String descrizione, String descrizioneAbbreviata ){
    public UnitaMisura(Integer codice, String label){//, String descrizione, String descrizioneAbbreviata ){
        this.codice = codice;
        this.label = label;
        //this.descrizione = descrizione;
        //this.descrizioneAbbreviata = descrizioneAbbreviata;
    }


    /*
    @Id
    @GeneratedValue(generator = "gene_unit_misu", strategy = GenerationType.SEQUENCE)
    @SequenceGenerator(name = "gene_unit_misu", sequenceName = "SEQ_SAN_CPF_UNIT_MISURA",
            allocationSize = 1)
    @Column(name = "CODI_UNIT_MISU")
    */
    private Integer codice;
    //@Column(name = "CODI_XXML", nullable = false)
    private String label;
    //@Column(name = "DESC_UNIT_MISU", nullable = false)
    private String descrizione;
    //@Column(name = "DESC_UNIT_MISU_ABBR", nullable = false)
    private String descrizioneAbbreviata;
    //@Column(name = "NUME_PROG", nullable = false)
    private Integer progressivo;
    //@Column(name = "CODI_DAFN", nullable = false)
    private String dafne;

    public String getDescrizioneAbbreviata() {
        return descrizioneAbbreviata;
    }

    public void setDescrizioneAbbreviata(String descrizioneAbbreviata) {
        this.descrizioneAbbreviata = descrizioneAbbreviata;
    }

    public Integer getProgressivo() {
        return progressivo;
    }

    public void setProgressivo(Integer progressivo) {
        this.progressivo = progressivo;
    }

    public Integer getCodice() {
        return codice;
    }

    public void setCodice(Integer codice) {
        this.codice = codice;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getDafne() {
        return dafne;
    }

    public void setDafne(String dafne) {
        this.dafne = dafne;
    }
}